Skip to main content

Status

Request​

Request
POST https://api.cm.com/ibancheck/v1.0/status
Request body
{
"merchant_token": "3c01abeb-b031-4fea-9f2d-c55c283cd78e",
"transaction_id": "string",
"merchant_reference": "string"
}

Parameters​

ParameterDescription
merchant_tokenA GUID string that is unique and private to you as a merchant. Do not share this key, keep it safe. Example 283b1550-ed02-4aee-8529-38a8ae90f10e.
transaction_idThe identifier of the transaction.
merchant_referenceThe private reference of the transaction as provided by the transaction response.
Response body
{
"transaction_id": "string",
"status": "success",
"issuer_id": "TESTXX10",
"name": "A. van Dijk",
"iban": "NL63TEST0760894299"
}

Parameters​

note

Only those values that are available will be represented in the response.

ParameterDescription
transaction_idThe identifier of the transaction.
statusEither open, success, cancelled, failure, expired. If the status is open, then the information was not yet available. Please try again after a few more seconds or fail. If the status is success then you can expect the requested information to be present. A status of cancelled means that the user has cancelled the flow.
issuer_idThe identifier of the bank used for the transaction.
nameA description of the name of the customer. Usually consists of initials and last name.
ibanThe IBAN account number. /[A-Z]{2}\d{2}\s?([0-9a-zA-Z]\s?){20}/.

Response codes​

HTTP statusDescription
200Successful request.
400Invalid request.
403Authorization required.
404The transaction could not be found.